if ((Get-WmiObject -class Win32_OperatingSystem).Caption.StartsWith("Microsoft Windows Server 2012"))
{
	Write-Host "Windows Server 2012"
	Install-WindowsFeature Web-Server
	Install-WindowsFeature NET-WCF-HTTP-Activation45
	Install-WindowsFeature Web-Log-Libraries
	Install-WindowsFeature Web-Request-Monitor
	Install-WindowsFeature Web-Http-Tracing
	Install-WindowsFeature Web-Mgmt-Console
}

if ((Get-WmiObject -class Win32_OperatingSystem).Caption.StartsWith("Microsoft Windows 8"))
{
	Write-Host "Windows 8"
	Enable-WindowsOptionalFeature -Online -FeatureName IIS-WebServer
	Enable-WindowsOptionalFeature -Online -FeatureName WCF-HTTP-Activation45
	Enable-WindowsOptionalFeature -Online -FeatureName IIS-LoggingLibraries
	Enable-WindowsOptionalFeature -Online -FeatureName IIS-RequestMonitor
	Enable-WindowsOptionalFeature -Online -FeatureName IIS-HttpTracing
	Enable-WindowsOptionalFeature -Online -FeatureName IIS-ManagementConsole
	# Install-WindowsFeature Web-Server
	# Install-WindowsFeature NET-WCF-HTTP-Activation45
	# Install-WindowsFeature Web-Log-Libraries
	# Install-WindowsFeature Web-Request-Monitor
	# Install-WindowsFeature Web-Http-Tracing
	# Install-WindowsFeature Web-Mgmt-Console
}

if ((Get-WmiObject -class Win32_OperatingSystem).Caption.StartsWith("Microsoft Windows Server 2008"))
{
	Write-Host "Windows Server 2008"
	Install-WindowsFeature Web-Server
	Install-WindowsFeature NET-WCF-HTTP-Activation45
	Install-WindowsFeature Web-Log-Libraries
	Install-WindowsFeature Web-Request-Monitor
	Install-WindowsFeature Web-Http-Tracing
	Install-WindowsFeature Web-Mgmt-Console
}

if ((Get-WmiObject -class Win32_OperatingSystem).Caption.StartsWith("Microsoft Windows 7"))
{
	Write-Host "Windows 7"
	Install-WindowsFeature Web-Server
	Install-WindowsFeature NET-WCF-HTTP-Activation45
	Install-WindowsFeature Web-Log-Libraries
	Install-WindowsFeature Web-Request-Monitor
	Install-WindowsFeature Web-Http-Tracing
	Install-WindowsFeature Web-Mgmt-Console
}

Install-ChocolateyPackage 'WindowsAzureAuthoringTools-x64' 'msi' '/norestart /passive' 'http://download.microsoft.com/download/B/5/B/B5B36FB2-F7E5-443B-A834-D0D3E91B4880/WindowsAzureAuthoringTools-x64.msi' -validExitCodes @(0) 
Install-ChocolateyPackage 'WindowsAzureEmulator-x64' 'exe' '/norestart /passive' 'http://download.microsoft.com/download/B/5/B/B5B36FB2-F7E5-443B-A834-D0D3E91B4880/WindowsAzureEmulator-x64.exe' 
Install-ChocolateyPackage 'WindowsAzureLibsForNet-x64' 'msi' '/norestart /passive' 'http://download.microsoft.com/download/B/5/B/B5B36FB2-F7E5-443B-A834-D0D3E91B4880/WindowsAzureLibsForNet-x64.msi' -validExitCodes @(0) 
Install-ChocolateyPackage 'WindowsAzureTools.VS110' 'exe' '/norestart /passive' 'http://download.microsoft.com/download/B/5/B/B5B36FB2-F7E5-443B-A834-D0D3E91B4880/WindowsAzureTools.vs110.exe'
Install-ChocolateyPackage 'WebDeploy_2_10_amd64_en-US' 'msi' '/norestart /passive' 'http://go.microsoft.com/fwlink/?LinkId=209116' -validExitCodes @(0) 